<?php

/*
 * @version		$Id: user.php 3.0 2017-01-26 $
 * @package		All Video Share
 * @copyright   Copyright (C) 2012-2017 MrVinoth
 * @license     GNU/GPL http://www.gnu.org/licenses/gpl-2.0.html
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class AllVideoShareModelUser extends AllVideoShareModel {

	public function getItems() {
	
		$app = JFactory::getApplication();
		$db = JFactory::getDBO();	
		 
		$limit = $app->getUserStateFromRequest( 'global.list.limit', 'limit', 10, 'int' );
		$limitstart = JRequest::getVar( 'limitstart', 0, '', 'int' );
		$limitstart = ( $limit != 0 ? ( floor( $limitstart / $limit ) * $limit ) : 0 );
 
		$this->setState( 'limit', $limit );
		$this->setState( 'limitstart', $limitstart );		 
		 
		$s = $app->getUserStateFromRequest( 'com_allvideoshare.user.search', 's', '', 'string' );	
		$s = JString::strtolower( $s );
    	 	 
		$searchWord = $db->Quote( '%'.$db->escape( $s, true ).'%', false );		
		$query  = "SELECT * FROM #__allvideoshare_videos WHERE user=" . $db->quote( ALLVIDEOSHARE_USERNAME ) . " AND (title LIKE $searchWord OR category LIKE $searchWord OR tags LIKE $searchWord)";
		$query .= " ORDER BY ordering";
		 
    	$db->setQuery ( $query, $limitstart, $limit );
    	$items = $db->loadObjectList();
		 
        return $items;
		 
	}
	
	public function getTotal() {
	
		$app = JFactory::getApplication();
        $db = JFactory::getDBO();
		 
		$s = $app->getUserStateFromRequest( 'com_allvideoshare.user.search', 's', '', 'string' );	
		$s = JString::strtolower( $s );
		 
		$searchWord = $db->Quote( '%'.$db->escape( $s, true ).'%', false );	
        $query = "SELECT COUNT(id) FROM #__allvideoshare_videos WHERE user=" . $db->quote( ALLVIDEOSHARE_USERNAME ) . " AND (title LIKE $searchWord OR category LIKE $searchWord OR tags LIKE $searchWord)";
        $db->setQuery( $query );
        $total = $db->loadResult();
		 
        return $total;
		 
	}
	
	public function getPagination() {
	
    	 jimport( 'joomla.html.pagination' );
		 $pagination = new JPagination( $this->getTotal(), $this->getState( 'limitstart' ), $this->getState( 'limit' ) );
		 
         return $pagination;
		 
	}
	
	public function getItem() {
		 
		 $id = JRequest::getInt( 'id' );
		 
         $row = JTable::getInstance( 'Videos', 'AllVideoShareTable' );
         $row->load( $id );

         return $row;
		 
	}
	
	public function save() {
	
		$app = JFactory::getApplication();
		 
		$id = JRequest::getInt( 'id', 0 );
		 
	  	$row = JTable::getInstance( 'Videos', 'AllVideoShareTable' );
      	$row->load( $id );
	
      	if( ! $row->bind( JRequest::get( 'post' ) ) ) {
		 	JError::raiseError( 500, $row->getError() );
	  	}	  	 
		
		$row->title = AllVideoShareUtils::safeString( $row->title );
	  	
		$slug = AllVideoShareUtils::getVideoSlug( $row );
		$row->slug = $slug;
		 
	  	$row->description = JRequest::getVar( 'description', '', 'post', 'string', JREQUEST_ALLOWHTML );

	  	if( $row->type != 'youtube' ) {
			jimport( 'joomla.filesystem.folder' );
			
		 	$dir = JHTML::_( 'date', 'now', 'Y-m-d', false );
		 	if( ! JFolder::exists( ALLVIDEOSHARE_UPLOAD_BASE . $dir . DS ) ) {
				JFolder::create( ALLVIDEOSHARE_UPLOAD_BASE . $dir . DS );
			}
		
			if( $row->type == 'upload' ) {
				$row->video = AllVideoShareUpload::doUpload( 'upload_video', $dir, $row->video );
				$row->hd = AllVideoShareUpload::doUpload( 'upload_hd', $dir, $row->hd );
			}
			
			if( $row->type != 'upload' ) {
				$row->video = AllVideoShareUtils::safeString( $row->video );
				$row->hd = AllVideoShareUtils::safeString( $row->hd );
			}
			
			if( $row->type == 'rtmp' ) {
				$row->streamer = AllVideoShareUtils::safeString( $row->streamer );
			}
			
	  		$row->thumb = AllVideoShareUpload::doUpload( 'upload_thumb', $dir, $row->thumb );
			$row->preview = AllVideoShareUpload::doUpload( 'upload_preview', $dir, $row->preview );
	  	}
	  	 	
		if( $row->type == 'youtube' ) {
	     	$v = AllVideoShareUtils::getYouTubeVideoId( $row->video );
		 	$row->video = 'https://www.youtube.com/watch?v=' . $v;
			if( ! $row->thumb ) {
          		$row->thumb = 'https://img.youtube.com/vi/'.$v.'/default.jpg';
			}
			if( ! $row->preview ) {
		 		$row->preview = 'https://img.youtube.com/vi/'.$v.'/0.jpg';
			}
	     }
		 
		 if( ! $row->id ) {
		 	$config = AllVideoShareUtils::getConfig();
			
		 	$row->user      = ALLVIDEOSHARE_USERNAME;
			$row->access    = 'public';
			$row->published = $config->auto_approval;
		 }
		 
		 $row->reorder( "category='" . $row->category . "'" );
		 
	  	 if( ! $row->store() ) {
			JError::raiseError( 500, $row->getError() );
	  	 }

		 $itemId = '';
		 if( JRequest::getInt( 'Itemid' ) ) {
		 	$itemId = '&Itemid=' . JRequest::getInt( 'Itemid' );
		 }
		 $link = JRoute::_( 'index.php?option=com_allvideoshare&view=user' . $itemId, false );
		 
		 $app->redirect( $link, JText::_( 'SAVED' ) );
		 	 
	}

	public function delete() {
	
		$app = JFactory::getApplication();
		$db = JFactory::getDBO();		 
       
		$query = "DELETE FROM #__allvideoshare_videos WHERE id=" . JRequest::getInt( 'id' );
        $db->setQuery( $query );
        $db->query();
		
         $itemId = '';
		 if( JRequest::getInt( 'Itemid' ) ) {
		 	$itemId = '&Itemid=' . JRequest::getInt( 'Itemid' );
		 }
		 $link = JRoute::_( 'index.php?option=com_allvideoshare&view=user' . $itemId, false );
		 
		 $app->redirect( $link ); 
		 
	}
		
}